<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CMenuController Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCMenuController-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CMenuController Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Handles transitions between menu screens and user input.  
 <a href="classCMenuController.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="menu_8h_source.html">menu.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for CMenuController:</div>
<div class="dyncontent">
<div class="center"><img src="classCMenuController__coll__graph.png" border="0" usemap="#CMenuController_coll__map" alt="Collaboration graph"/></div>
<map name="CMenuController_coll__map" id="CMenuController_coll__map">
<area shape="rect" id="node2" href="classCMenu.html" title="Menu class Abstract class with a basic set of methods to draw parts of menu. " alt="" coords="33,5,97,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2d8c607ea3be11d74c41e6f07deba372"><td class="memItemLeft" align="right" valign="top"><a id="a2d8c607ea3be11d74c41e6f07deba372"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenuController.html#a2d8c607ea3be11d74c41e6f07deba372">CMenuController</a> ()</td></tr>
<tr class="memdesc:a2d8c607ea3be11d74c41e6f07deba372"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets main menu as current menu. <br /></td></tr>
<tr class="separator:a2d8c607ea3be11d74c41e6f07deba372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e320b95a8b52023bc3dc071e51988d1"><td class="memItemLeft" align="right" valign="top"><a id="a7e320b95a8b52023bc3dc071e51988d1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>CMenuController</b> (const <a class="el" href="classCMenuController.html">CMenuController</a> &amp;src)=delete</td></tr>
<tr class="separator:a7e320b95a8b52023bc3dc071e51988d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee4f649b1851103fd9856bcc3fb49c7"><td class="memItemLeft" align="right" valign="top"><a id="aaee4f649b1851103fd9856bcc3fb49c7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classCMenuController.html">CMenuController</a> &amp;src)=delete</td></tr>
<tr class="separator:aaee4f649b1851103fd9856bcc3fb49c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9189a640fae8f31dd48ce1c38eb894d"><td class="memItemLeft" align="right" valign="top"><a id="ae9189a640fae8f31dd48ce1c38eb894d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenuController.html#ae9189a640fae8f31dd48ce1c38eb894d">start</a> (void)</td></tr>
<tr class="memdesc:ae9189a640fae8f31dd48ce1c38eb894d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts menu and lets user to choose changes menu to user selected menu or starts game based on user choice. <br /></td></tr>
<tr class="separator:ae9189a640fae8f31dd48ce1c38eb894d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ad660c8418fc8cef344e82f8ea7a3cb07"><td class="memItemLeft" align="right" valign="top"><a id="ad660c8418fc8cef344e82f8ea7a3cb07"></a>
<a class="el" href="classCMenu.html">CMenu</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>currentMenu</b></td></tr>
<tr class="separator:ad660c8418fc8cef344e82f8ea7a3cb07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Handles transitions between menu screens and user input. </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="menu_8h_source.html">menu.h</a></li>
<li>menu.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
